import fetch from 'utils/fetch';

//车辆统计信息列表
export function pageList(params) {
	return fetch({
		url: '/vehicle/bg-vehicle/count/getAll',
		method: 'get',
		params: params
	});
}

//车辆统计信息导出
export function vehicleInfoExcel(params) {
	return fetch({
		url: '/vehicle/bg-vehicle/count/app/unauth/export',
		method: 'get',
		params: params,
		responseType: 'blob'
	});
}

//订单统计
export function received_statistics(params) {
	return fetch({
		url: 'api/order/admin/order/received_statistics',
		method: 'post',
		timeout:'50000',
		data: params
	});
}

// 订单统计导出
export function excelExport(query) {
	return fetch({
	  url: 'api/order/admin/order/received_statistics/export',
	  method: 'post',
	  timeout:'600000',
	  data: query,
	  responseType: 'blob'
	});
  }